Autor Tema: wifislax-updaters HILO 2  (Leído 222404 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #300 en: 20-10-2015, 14:24 (Martes) »
Es que aun no se me descargó. No te preocupes en unos minutos la tengo y los actualizo Don't  Worry

es mas que nada para que sigan unos minimos de igualdad, si no al querer tocar algo de forma global es un cachondeo ,con updaters que a lo mejor tiene variables inventadas ..

por seguir un patrón vamos.

estoy abierto a sugenerencias en el base_updater , aunque ya ha dia de hoy parcticamente solo se necesita el configurey make ... todo lo demás esta en el script global funciones_updater.



Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #301 en: 20-10-2015, 14:25 (Martes) »
si es la plantilla que sale en la  iso de desarrollo SI , es la correcta.





trax69

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #302 en: 20-10-2015, 14:50 (Martes) »
La iso es la 19102015.iso descargada del link que pusiste (la vi ayer pero era tarde y la puse a descargar hoy por eso no la estaba usando) y si generada la plantilla desde esa ISO de desarrollo.

Pd. No sé si se ha comentado pero e detectado un fallo en el actualizador de metasploit al pulsar ENTER para iniciar la actualizacion directamente se sale del script.

Subiendo imagen

PD2. Entiendo lo que dices, no te preocupes no me cuesta nada revisarme los scripts y adapatarlo luego a la tarde los pongo.

Saludos

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #303 en: 20-10-2015, 15:01 (Martes) »
lo de metasploit te pasa con la iso desarrollo ?¿

que raro.

trax69

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #304 en: 20-10-2015, 15:49 (Martes) »


Tengo internet, he revisado todo
manualmente si se descarga metasploit-latest-linux-installer.run

manualmente tengo acceso de donde coge todo pero es como si se saliese un comando Exit mal puesto :S y no he tocado nada

Voy a lanzar el actualizador de updaters a ver

Indagando parece que este se actualiza mas amenudo https://github.com/rapid7/metasploit-framework/releases
Luego echo un vistado a ver :S
« Última modificación: 20-10-2015, 15:54 (Martes) por trax69 »

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2378
  • Prácticas precisas precisan práctica
Re: wifislax-updaters HILO 2
« Respuesta #305 en: 20-10-2015, 20:25 (Martes) »
@geminis_demon

¿por que querias pulseaudio?  ... ;D

Porque ni portatil tiene roto el "buquete" donde se enchufa el jack de los auriculares  ;D

Y la única forma de ver porno sin que se entere todo el vecindario es transmitir el audio a mi movil por wifi, y escucharlo a través de los auriculares conectados al movil.

Para transmitir el audio por wifi utilizo SoundWire, el cual necesita pavulcontrol para configurar el dispositivo de audio predeterminado, y pavucontrol necesita pulseaudio.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #306 en: 20-10-2015, 20:54 (Martes) »
@geminis_demon

¿por que querias pulseaudio?  ... ;D

Porque ni portatil tiene roto el "buquete" donde se enchufa el jack de los auriculares  ;D

Y la única forma de ver porno sin que se entere todo el vecindario es transmitir el audio a mi movil por wifi, y escucharlo a través de los auriculares conectados al movil.

Para transmitir el audio por wifi utilizo SoundWire, el cual necesita pavulcontrol para configurar el dispositivo de audio predeterminado, y pavucontrol necesita pulseaudio.


la que tienes que liar para tener sonido ,,mare mia  ;D

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #307 en: 20-10-2015, 21:40 (Martes) »
voy a mirar lo de metasploit ... interesante esa sitio de releases ... ;)


PD: REPARADO

Creo que dejare lo de la version como esta , esa ruta de releases se mueve mucho y es una actualizacion muy pesada como para estar instalandola una vez a la semana  ;D
« Última modificación: 20-10-2015, 22:05 (Martes) por USUARIONUEVO »

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2378
  • Prácticas precisas precisan práctica
Re: wifislax-updaters HILO 2
« Respuesta #308 en: 20-10-2015, 22:00 (Martes) »
@geminis_demon

¿por que querias pulseaudio?  ... ;D

Porque ni portatil tiene roto el "buquete" donde se enchufa el jack de los auriculares  ;D

Y la única forma de ver porno sin que se entere todo el vecindario es transmitir el audio a mi movil por wifi, y escucharlo a través de los auriculares conectados al movil.

Para transmitir el audio por wifi utilizo SoundWire, el cual necesita pavulcontrol para configurar el dispositivo de audio predeterminado, y pavucontrol necesita pulseaudio.


la que tienes que liar para tener sonido ,,mare mia  ;D

Pues si, tengo ganas ya de volver a mi casa, donde tengo mi torre en la que funcionan los auriculares y los programas se compilan en un momento, mi internet que no se corta, mis router y cacharros... en fin mis cosas  ;D

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #309 en: 20-10-2015, 22:23 (Martes) »
Dont Worry Be Happy!


updater actualizado ...  lo que necesite y no este en sistema , ahora lo mete en el xzm.



Código: [Seleccionar]
#!/bin/sh

# Script by www.seguridadwireless.net

SCRIPT_VERSION=20151019

############################################################
## Funciones comunes. Su nombre empieza por f_ ##
############################################################
f_variables(){
. /opt/wifislax-updaters/Funciones/funciones_updater
}

############################################################
## Funciones propias del script. Su nombre empieza por F_ ##
############################################################
# Definicion de variables
F_variables() {
PRGNAM=mitmf
SRCNAM=MITMf
echo -ne "\033]2;${PRGNAM}_updater\007"
WEB=https://github.com/byt3bl33d3r/MITMf
VERSION=$(curl -s $WEB/releases|grep .gz|head -1|cut -d v -f3|cut -d t -f-1|sed 's/.$//g')_$(curl -s $WEB|grep commit/|head -1|rev|cut -d / -f1|cut -d '"' -f2|rev|cut -c-6)
}

# Descomprimimos el fichero descargado y compilamos
F_compilar(){
mkdir -p $PKG/opt
cd $PKG/opt
git clone $WEB
cd MITMf && git submodule init && git submodule update --recursive
pip install --install-option="--prefix=$PKG/usr" -r $PKG/opt/$SRCNAM/requirements.txt
rm -rf $PKG/opt/$SRCNAM/.git
chmod +x $PKG/opt/$SRCNAM/mitmf.py
}

###################################
## BLOQUE PRINCIPAL DE EJECUCION ##
###################################
# Si se cierra el script inesperadamente, ejecutar la funcion de limpieza
trap f_exitmode SIGHUP SIGINT

#Inicializamos las variables globales
f_variables
#Comprobamos conexion a Internet
f_comprobarConexion
#Inicializamos las variables del script
F_variables
#Creamos directorio de trabajo
f_directorioTemporal
#Mostramos el mensaje de presentacion
f_presentacion
#Comprobamos updates del script
f_comprobarUpdates
#Asignamos o detectamos arquitectura
f_arquitectura noarch
#Comprobamos version instalada del paquete
f_versionInstalada
#Descomprimir fichero descargado y compilamos
F_compilar
#Creamos xzm , instalamos y salimos
f_tareasFinales

hola,a ver si me explico,desde live 4.11.1 sin el paquete mitmf 0.9.7 utilizo el actualizador y bien,crea el modulo y arranca bien geminispoison pero si despues meto el modulo en modules y arranco ya no va,es como si al crear el modulo faltara el beautifulsoup y tambien flask dentro del modulo en var/log/packages no estan  ;)

- Iniciando MITMf... ERROR

Traceback (most recent call last):
  File "./mitmf.py", line 36, in <module>
    from plugins import *
  File "/opt/MITMf/plugins/browserprofiler.py", line 24, in <module>
    from plugins.inject import Inject
  File "/opt/MITMf/plugins/inject.py", line 24, in <module>
    from bs4 import BeautifulSoup
ImportError: No module named bs4

 - Presiona cualquier tecla para volver al menú principal

pues en efecto,al crear el modulo y reiniciar no funciona,le falta el beautifulsoup y tambien flask.
falta probarlo en la iso de desarrollo y ver si al reiniciar falla,voy a descargar la ultima.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #310 en: 20-10-2015, 22:27 (Martes) »
en la de desarrollo no te va a fallar, por que lleva todas de serie.


me extraña que falle ,por que abro el modulo y veo perfectamente como a metido las librerias python en el mismo modulo.



trax69

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #311 en: 20-10-2015, 22:29 (Martes) »
Pero aunque sea una actualización pesada la de metasploit y es cierto que actualizan cada poco... Que más da? Quiero decir es decisión del usuario final actualizar a menudo o no xD. Yo y mis manías de tener la última o. O hahaha. No es que use mucho metasploit al menos ahora pero manías

PD. aún tengo pendiente los scripts que puse,  estoy con la parienta... Esta noche los corrijo
« Última modificación: 20-10-2015, 22:30 (Martes) por trax69 »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #312 en: 20-10-2015, 22:40 (Martes) »
Pero aunque sea una actualización pesada la de metasploit y es cierto que actualizan cada poco... Que más da? Quiero decir es decisión del usuario final actualizar a menudo o no xD. Yo y mis manías de tener la última o. O hahaha. No es que use mucho metasploit al menos ahora pero manías

PD. aún tengo pendiente los scripts que puse,  estoy con la parienta... Esta noche los corrijo


men , ...que no ,  ;D , esas "releases"  , son solo la base , no es el full equip  ;D

no vas a poder ni instalarlo ...  


en el .run  , viene un bundle , con todo lo que necesita , y ene sas releases viene lo basico ...necesitarias instalar un millon de gemas ruby , postgres y 100.000 cosas mas.

pero si quieres "mirarlo" ..miralo , ...no creo que mires mucho  ;D



no se si funciona..pero msfupdate , sirve para ponerse en la misma que el git  ;D

sin tener que hacer mucho.
« Última modificación: 20-10-2015, 22:42 (Martes) por USUARIONUEVO »

trax69

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #313 en: 20-10-2015, 22:46 (Martes) »
Ahhh coño vale, no me di cuenta que es por así decirlo lo básico. Entonces todo ok

PD ya me funciona correctamente el updater de metasploit

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #314 en: 20-10-2015, 22:58 (Martes) »
en la de desarrollo no te va a fallar, por que lleva todas de serie.


me extraña que falle ,por que abro el modulo y veo perfectamente como a metido las librerias python en el mismo modulo.



pues como te digo,en la 4.11.1 crea e instala el modulo y arranca bien geminispoisoning pero si despues cojes el modulo lo llevas a modules y reinicias el sistema ya no va y me pide beautifulsoup y flask,prueba y veras.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #315 en: 20-10-2015, 23:02 (Martes) »
en la de desarrollo no te va a fallar, por que lleva todas de serie.


me extraña que falle ,por que abro el modulo y veo perfectamente como a metido las librerias python en el mismo modulo.



pues como te digo,en la 4.11.1 crea e instala el modulo y arranca bien geminispoisoning pero si despues cojes el modulo lo llevas a modules y reinicias el sistema ya no va y me pide beautifulsoup y flask,prueba y veras.

bueno , ya lo mirare . ..   gracias por reportar.

trax69

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #316 en: 21-10-2015, 01:37 (Miércoles) »
Bueno me acabo de dar cuenta... y ya se por que siempre me dices que uso la plantilla antigua y es que ... meti en un USB ISO 10/10/2015 DEV y la 19/10/2015 (la que me dijiste que usara)

El caso es que ejecute en la terminal "base_updater" en ambos nombrandolos con el nombre de la ISO dando como resultado al comparar lo siguiente

Código: [Seleccionar]
wifislax Desktop # cmp -c base_updater_iso_19102015 base_updater_iso_10102015
wifislax Desktop #

Lo que quiere decir que son exactamente iguales...

Todo esto despues de que la GUI de geminis actualizara el sistema y los updaters en ambas versiones (en la del 10/10 con el modulo por no estar integrada aun por aquella fecha)

Desconozco si está la plantilla añadida como updater por si existiesen cambios que se reemplazara (cosa que estaria bien)
« Última modificación: 21-10-2015, 01:40 (Miércoles) por trax69 »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #317 en: 21-10-2015, 01:47 (Miércoles) »
la plantilla es un script aparte.

/opt/wifislax-scripts/base_updater


si dices que son iguales entonces ya esta ..

no sabia si estabas aun con 4.11.1 + modulos o una dev , con los cambios suficientes ya que cambie el base updater no hace mucho , para que descomprimir y hacer cd a la ruta fuera hecho por funciones de forma global.

trax69

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #318 en: 21-10-2015, 01:53 (Miércoles) »
entonces fue un error mio por que no sabia que ya hacia CD a la ruta de extración... y puse rutas relativas y absolutas pensando que no lo hacia.

El error es mio por no ojear funciones_updater y ver que hace y como trabaja para entender más

Los scripts que puse son validos aunque los voy a retocar y que queden acorde por si me salté algo. (entre otras cosas quitar los CD a tmp y demas que si ya lo hice no era necesario >.<)

De todos modos en uno de los scripts es necesario hacer cd a "src" para compilar pero me imagino que te crispó al ver la ruta absoluta a /tmp/build/$PKG/etc....etc.. hahaha

Crispación que entiendo, ya me ocurrio en algunos proyectos conjuntos que hice y al ver que nadie seguia los estandares que fijé. Te entiendo perfectamente y pido perdón
« Última modificación: 21-10-2015, 01:56 (Miércoles) por trax69 »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15826
Re: wifislax-updaters HILO 2
« Respuesta #319 en: 21-10-2015, 02:00 (Miércoles) »
no , no ..no me crispe , aun no los mire ...estas a tiempo de corregir  ;D

vi alguna cosa por encima, pero no los probe, asi que , aun puedes limpiar el escenario del crimen.



yo en algun updater tambien he tenido que hacer cd ,por que por ejemplo al descomprimir una fuentes, no quedaban en carpeta  , si no que se descomprimia y salian los ficheros a la raiz de donde estes  ;)



revisa funciones_updater


mira aqui como intentara de varias formas descomprimir y hacer cd a la ruta ..

Código: [Seleccionar]
#Preparamos entorno
f_preparar(){
if [ ! -z $SOURCES ]; then
echo ""
echo "$VERDE"Descomprimiendo ..."$CIERRE"
sleep 3
rm -rf $PRGNAM-$VERSION
if [ ! -z $EXTENSION ]; then
if [ $EXTENSION = zip ]; then
unzip $SOURCES
else
tar xvf $SOURCES || tar xvf $SRCNAM-$VERSION.$EXTENSION || tar xvf $PRGNAM-src-$VERSION.$EXTENSION
fi
fi
cd $TMP/$PRGNAM-$VERSION 2>/dev/null || cd $TMP/$SRCNAM-$VERSION 2>/dev/null || cd $TMP/$PRGNAM 2>/dev/null || cd $TMP/$PRGNAM-$VERSION-$SRCNAM 2>/dev/null || cd $TMP/$SRCNAM 2>/dev/null
fi
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
  -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
}